<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')) 
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

$hooks = array(
	'integrate_pre_include'          => '$sourcedir/Subs-QuickSpoiler.php',
	'integrate_load_theme'           => 'spoiler_load_theme',
	'integrate_load_permissions'     => 'spoiler_permissions',
	'integrate_bbc_codes'            => 'spoiler_bbc_codes',
	'integrate_bbc_buttons'          => 'spoiler_bbc_buttons',
	'integrate_buffer'               => 'spoiler_buffer',
	'integrate_general_mod_settings' => 'spoiler_settings',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);

?>